Download it now!
Bug 130484 - Controls become disabled in the database wizard (non gtk3)
Summary: Controls become disabled in the database wizard (non gtk3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.4.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0 target:6.4.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-02-06 11:50 UTC by Maxim Monastirsky
Modified: 2020-02-11 13:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Monastirsky 2020-02-06 11:50:33 UTC
Steps to reproduce:

1. Start LO with non gtk3 plugin (I tested with gen and kf5).
2. Attempt to create a new database => Database Wizard appears.
3. Click Next >.
4. On the "Save and proceed" page, click one of the checkboxes ("Open the database for editing" or "Create tables using the table wizard").

At this stage all controls of that page are disabled, and it's no longer possible to change selection.
Comment 1 Xisco Faulí 2020-02-06 17:43:10 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=69057064d8957804c76e623d57c103c3413b7cbc

author	Caolán McNamara <caolanm@redhat.com>	2019-08-05 17:26:53 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-08-22 16:37:16 +0200
commit	69057064d8957804c76e623d57c103c3413b7cbc (patch)
tree	8026201f2750300a3b9f831a04dcc34016d54a95
parent	e724f245e9652230d4c1f58c353be150006affcd (diff)
weld ODbTypeWizDialogSetup

Bisected with: bibisect-linux64-6.4$
 
Adding Cc: to Caolán McNamara
Comment 2 Julien Nabet 2020-02-07 20:54:03 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Julien Nabet 2020-02-07 21:45:09 UTC
I just noticed this log with kf5 and gen rendering:
warn:legacy.tools:175630:175630:vcl/source/control/roadmapwizard.cxx:289: RoadmapWizard::implUpdateRoadmap: there is no such path!

It doesn't appear with gtk3 rendering.
Comment 4 Caolán McNamara 2020-02-08 19:49:41 UTC
I notice in 6.3 that the item in the "roadmap" on the left becomes greyed out when clicking the checkboxes
Comment 5 Commit Notification 2020-02-09 07:01:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/1fbf3a70dbbbab2f810afae5f3e928a6d59c6325

Resolves: tdf#130484 controls become disabled on click final checkboxes

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-02-09 07:02:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3eac1d85c88db76b3deb6240fd3af2f64951689a

Resolves: tdf#130484 controls become disabled on click final checkboxes

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-02-10 08:59:08 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 4188c7e2132ec3f1c3e879c179e92ff75c86d24f
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 8 Commit Notification 2020-02-11 09:39:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-1":

https://git.libreoffice.org/core/commit/4f9491563ebbe0d21baefd7f614c535737982367

Resolves: tdf#130484 controls become disabled on click final checkboxes

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.